import got from 'got';
import test from 'ava';
import server from '../index';

const lstn = (port = 3000) => {
  return new Promise(async resolve => {
    try {
      await server.listen(port);
      resolve(`http://localhost:${port}`);
    } catch (err) {
      t.ifError(err);
    }
  })
}

test('GET to `/` responds with index', async t => {
  const url = await lstn();
  const res = await got(url);

  t.is(res.statusCode, 200);
  t.is(typeof res.body, 'string');
})
